Test Groups

Update a test group

Updates a test group.

PUT /api/public/v1/test-groups/{groupId}

Update a test group

curl --request PUT \
  --url 'https://api.buildprint.ai/api/public/v1/test-groups/{GROUPID}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --header 'Content-Type: application/json' \
  --data '{
  "key": "value"
}'
{
  "ok": true
}

Group updated

Authorizations

  • Authorization string required header

    Workspace REST API token prefixed with bp_

Path Parameters

  • groupId string required

    Group ID.

Request Body

application/json
  • name string required

    Group name.

  • description string | null

    Optional description.

  • testIds[] string required array

    Ordered test IDs for the group.

Response

application/json
  • ok boolean

    Always true for a successful mutation response.